<?php 
get_header();
?>
    
    <!-- .breadcumb-area -->
    <section class="breadcumb-area">
        <div class="container">
            <div class="row">
                <div class="col-md-6 col-md-offset-3 text-center">
                    <?php esc_html_e('BROWSING CATEGORY', 'balaka'); ?>
                    <h3 class="cat-title">
                        <?php single_cat_title(); ?>
                    </h3>
                </div>
            </div>
        </div>
    </section>
    <!-- .breadcumb-area -->
    
    <!-- Post-area -->
    <section class="category-post-area">
        <div class="container">
            <div class="row">
                <div class="col-md-8">
                    <div class="category-post-wrapper">
                        <?php 
                           if( !have_posts() ) :
                        ?>
                            <h3 class="text-center bg-danger"><?php esc_html_e("There is No Post In This Category", "balaka"); ?></h3>
                            <div class="text-center">
                                <a class="btn btn-success" href="<?php echo esc_url(home_url('')); ?>">
                                    <?php esc_html_e('Go Home', 'balaka'); ?>
                                </a>  
                            </div>  
                        <?php 
                            endif;
                        ?>
                        <?php 
                        if( have_posts() ):
                            while( have_posts() ){
                                the_post();

                                get_template_part('template-parts/categories/cat-post', get_post_format() );
                            }
                            wp_reset_query();
                        ?>
                        
                    </div>
                    <?php if( paginate_links() ): ?>
                    <div class="post-pagination">
                        <?php
                            $pagination_arg = array(
                                'prev_text' => __('<i class="fa fa-long-arrow-left" aria-hidden="true"></i>', 'balaka'),
                                'next_text' => __('<i class="fa fa-long-arrow-right" aria-hidden="true"></i>', 'balaka'),
                                'mid_size' => 3,
                            );
                            echo wp_kses_post(paginate_links($pagination_arg));
                        ?>
                    </div>
                    <?php endif; ?>
                <?php endif; ?>
                </div>
                <div class="col-md-4">
                    <aside class="widget_area_wrapper">
                        <?php get_sidebar(); ?>
                    </aside>
                </div><!-- .col-md-4 -->
            </div>
        </div>
    </section>
    <!-- .Post-area -->
    
<?php get_footer(); ?>