<?php 
get_header();
the_post();
$balaka_cat_name = get_the_category();

?>
    <!-- Post-area -->
    <section class="single-post-area">
        <div class="container">
            <div class="row">
                <div class="col-md-12">
                    <div class="single-post-wrapper">
                        <?php 
                            get_template_part('template-parts/common/single-title');
                        ?>
                        <?php 
                            if( !has_post_format(array('video', 'audio'), get_the_ID() ) && has_post_thumbnail() ){
                                the_post_thumbnail('balaka_1024x500');
                            }
                        ?>
                    </div>
                    
                </div>
            </div><!-- .row-1 end -->
           <div class="row">
                <div class="col-md-8">
                    <div class="single-content-wrapp">
                        <?php 
                            get_template_part('template-parts/single-posts/single', get_post_format() );
                        ?>
                        <div class="post-links">
                            <div class="row">
                                <div class="col-md-6 text-left">
                                    <?php 
                                        $balaka_previous_post = get_previous_post();
                                        if( $balaka_previous_post ):
                                    ?>
                                        <a class="side_name" href="<?php echo esc_url(get_the_permalink( $balaka_previous_post )); ?>">
                                            <?php esc_html_e('previous', 'balaka'); ?>
                                        </a>
                                        <h5>
                                            <a href="<?php echo esc_url(get_the_permalink( $balaka_previous_post )); ?>">
                                                <?php echo get_the_title( $balaka_previous_post ); ?>
                                            </a>
                                        </h5>
                                    <?php endif; ?>
                                </div>
                                <div class="col-md-6 text-right">
                                    <?php 
                                        $balaka_next_post = get_next_post();
                                        if( $balaka_next_post ):
                                    ?>
                                   <a class="side_name" href="<?php echo esc_url(get_the_permalink( $balaka_next_post )); ?>">
                                       <?php esc_html_e('next', 'balaka'); ?>
                                    </a>
                                    <h5>
                                        <a href="<?php echo esc_url(get_the_permalink( $balaka_next_post )); ?>">
                                            <?php echo get_the_title( $balaka_next_post ); ?>
                                        </a>
                                    </h5>
                                    <?php endif; ?>
                                </div>
                            </div>
                        </div>
                        <!-- author area -->
                        <div class="author-area">
                            <?php echo get_avatar( get_the_author_meta('ID'), 100 ); ?>
                            <h4>
                                <a href="<?php echo esc_url(get_author_posts_url( get_the_author_meta( "ID" ) )); ?>">
                                    <?php the_author(); ?>
                                </a>
                            </h4>
                            <p>
                                <?php 
                                    the_author_meta('description');
                                ?>
                            </p>
                            <ul class="author-links">
                                <?php
                                $balaka_user_facebook = get_field('facebook', 'user_'.get_the_author_meta('ID'));
                                $balaka_user_twitter = get_field('twitter', 'user_'.get_the_author_meta('ID'));
                                $balaka_user_instagram = get_field('instagram', 'user_'.get_the_author_meta('ID'));
                                $balaka_user_pinterest = get_field('pinterest', 'user_'.get_the_author_meta('ID'));
                                ?>
                                <?php if($balaka_user_facebook): ?>
                                <li><a href="<?php echo esc_url($balaka_user_facebook); ?>"><i class="fa fa-facebook"></i></a></li>
                                <?php endif; ?>
                                <?php if($balaka_user_twitter): ?>
                                <li><a href="<?php echo esc_url($balaka_user_twitter); ?>"><i class="fa fa-twitter"></i></a></li>
                                <?php endif; ?>
                                <?php if($balaka_user_instagram): ?>
                                <li><a href="<?php echo esc_url($balaka_user_instagram); ?>"><i class="fa fa-instagram"></i></a></li>
                                <?php endif; ?>
                                <?php if($balaka_user_pinterest): ?>
                                <li><a href="<?php echo esc_url($balaka_user_pinterest); ?>"><i class="fa fa-pinterest"></i></a></li>
                                <?php endif; ?>
                            </ul>
                        </div>
                        <!-- .author area -->
                        <?php 
                            if(comments_open()){
                                comments_template();
                            }
                        ?>
                        <!-- Reletaed Post ara -->
                            <div class="releted-post-wrap">
                                <h2><?php esc_html_e('Related Posts', 'balaka'); ?></h2>
                                <div class="row">
                                    <?php 
                                        $balaka_related_post = new WP_Query(array(
                                            'post_type' => array('post'),
                                            'posts_per_page' => 4,
                                        ));
                                        while( $balaka_related_post->have_posts() ){
                                            $balaka_related_post->the_post();
                                            get_template_part('template-parts/common/releted-post');
                                        }
                                        wp_reset_query();
                                    ?>    
                                </div>
                            </div>
                        <!-- .Reletaed Post ara -->
                    </div><!-- .single-content-wrapp -->
                </div><!-- .col-md-8 -->
                <div class="col-md-4">
                    <?php get_sidebar(); ?>
                </div>
            </div><!-- .row-2 -->
        </div>
    </section>
    <!-- .Post-area -->
    
<?php get_footer(); ?>